I know this is a bit off topic, but this is the best place I could think to ask.

I'm trying to get my Ambicom BT2000E bluetooth CF card to work on my Linux laptop through a CF->PCMCIA adapter. I've found one driver, but it doesn't seem to like the 2.6 kernel (it generates all kinds of errors on compile). It seems rather odd to me that the Zaurus supports this card out of the box while I can't find any mention of it working on the 2.6 kernel.

This card works fine under Windows after installing the drivers from Ambicom.

If anybody could point me to a driver that works with the 2.6 kernel, I'd be very happy. I thought the only major thing keeping the 2.6 kernel from being used in OZ was the SD driver, so it seems like there should be a 2.6 driver for my card somewhere.